#ifndef MMIX_SIG_H
#define MMIX_SIG_H

#include "stddefs.h" /* my own shit */

typedef void sig_function(int);

/* define action for some signal */
extern void sig_set(int signum, sig_function *func);

/* block/unblock some signal */
extern void sig_block(int signum);
extern void sig_unblock(int signum);

/* reset blocked signals to default values */
extern void sig_restore(void);

#endif /* MMIX_SIG_H */
